/// <reference types="node" />
import { BigNumber } from '@0x/utils';
import { ExchangeFunctionName } from './types';
export declare const constants: {
    BASE_16: number;
    INVALID_OPCODE: string;
    TESTRPC_CHAIN_ID: number;
    AWAIT_TRANSACTION_MINED_MS: number;
    MAX_ETHERTOKEN_WITHDRAW_GAS: number;
    MAX_EXECUTE_TRANSACTION_GAS: number;
    MAX_TOKEN_TRANSFERFROM_GAS: number;
    MAX_TOKEN_APPROVE_GAS: number;
    MAX_TRANSFER_FROM_GAS: number;
    MAX_MATCH_ORDERS_GAS: number;
    DUMMY_TOKEN_NAME: string;
    DUMMY_TOKEN_SYMBOL: string;
    DUMMY_TOKEN_DECIMALS: BigNumber;
    DUMMY_TOKEN_TOTAL_SUPPLY: BigNumber;
    NULL_BYTES: string;
    NUM_DUMMY_ERC20_TO_DEPLOY: number;
    NUM_DUMMY_ERC721_TO_DEPLOY: number;
    NUM_ERC721_TOKENS_TO_MINT: number;
    NUM_DUMMY_ERC1155_CONTRACTS_TO_DEPLOY: number;
    NUM_ERC1155_FUNGIBLE_TOKENS_MINT: number;
    NUM_ERC1155_NONFUNGIBLE_TOKENS_MINT: number;
    NULL_BYTES4: string;
    NULL_ADDRESS: string;
    NULL_BYTES32: string;
    UNLIMITED_ALLOWANCE_IN_BASE_UNITS: BigNumber;
    MAX_UINT256: BigNumber;
    MAX_UINT32: BigNumber;
    TESTRPC_PRIVATE_KEYS: Buffer[];
    INITIAL_ERC20_BALANCE: BigNumber;
    INITIAL_ERC20_ALLOWANCE: BigNumber;
    INITIAL_ERC1155_FUNGIBLE_BALANCE: BigNumber;
    INITIAL_ERC1155_FUNGIBLE_ALLOWANCE: BigNumber;
    STATIC_ORDER_PARAMS: {
        makerAssetAmount: BigNumber;
        takerAssetAmount: BigNumber;
        makerFee: BigNumber;
        takerFee: BigNumber;
    };
    WORD_LENGTH: number;
    ADDRESS_LENGTH: number;
    ZERO_AMOUNT: BigNumber;
    PERCENTAGE_DENOMINATOR: BigNumber;
    TIME_BUFFER: BigNumber;
    KECCAK256_NULL: string;
    MAX_UINT256_ROOT: BigNumber;
    ONE_ETHER: BigNumber;
    EIP712_DOMAIN_NAME: string;
    EIP712_DOMAIN_VERSION: string;
    DEFAULT_GAS_PRICE: number;
    NUM_TEST_ACCOUNTS: number;
    PPM_DENOMINATOR: number;
    PPM_100_PERCENT: number;
    MAX_CODE_SIZE: number;
    SINGLE_FILL_FN_NAMES: ExchangeFunctionName[];
    BATCH_FILL_FN_NAMES: ExchangeFunctionName[];
    MARKET_FILL_FN_NAMES: ExchangeFunctionName[];
    MATCH_ORDER_FN_NAMES: ExchangeFunctionName[];
    BATCH_MATCH_ORDER_FN_NAMES: ExchangeFunctionName[];
    CANCEL_ORDER_FN_NAMES: ExchangeFunctionName[];
};
//# sourceMappingURL=constants.d.ts.map